<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.enterpriseManagement.info.modular.emPositionInfo.mapper.EmPositionInfoMapper">
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT
        a.id,
        a.qylxr,
        a.dwdm,
        a.company_nature as "companyNature",
        b.DICT_LABEL  as "companyNatureName"
        FROM
        biz_em_position_info a
        LEFT JOIN dev_dict b ON a.company_nature = b.ID
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
        ORDER BY a.create_time
    </select>
</mapper>